%define srcver 2.0.10a
%set_libtool_version 1.4

Name: libnasl
Version: 2.0.10
Release: alt1.1
License: GPL
URL: http://www.nessus.org
Group: Security/Networking
Summary: NASL is a scripting language designed for the Nessus security scanner. 

Source0: %name-%srcver.tar.gz
Source1: nasl2_reference.ps.gz
Source2: nasl_guide.ps.gz

# Automatically added by buildreq on Sat Apr 10 2004
BuildRequires: libpcap-devel libssl-devel
BuildRequires: libnessus-devel = %version
BuildRequires: libtool_1.4

%package devel
Group: Development/Other
Summary: Header files for NASL.
Requires: libnasl = %version

%description
NASL is a scripting language designed for the Nessus security scanner. 
Its aim is to allow anyone to write a test for a given security hole 
in a few minutes, to allow people to share their tests without having 
to worry about their operating system, and to garantee everyone that 
a NASL script can not do anything nasty except performing a 
given security test against a given target.

%description devel
Header files needed for developing with NASL 


%prep
%setup -q -n %name

%build
%configure --enable-static=no

NPROCS=1
%make_build

%install
%makeinstall 

# install docs
%__mkdir_p %buildroot/%_docdir/%name-%version
%__install -m 644 %SOURCE1 %buildroot/%_docdir/%name-%version
%__install -m 644 %SOURCE2 %buildroot/%_docdir/%name-%version

%files
%_bindir/*
%_libdir/*.so.*
%_man1dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version

%files devel
%_includedir/nessus/*
%_libdir/*.so

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.10-alt1.1
- Rebuilt with openssl-0.9.7d.

* Sat Apr 10 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.10-alt1
- 2.0.10a

* Fri Mar 12 2004 Denis Smirnov <mithraen@altlinux.ru> 2.0.9-alt3
- rebuild with libpcap0.8

* Thu Dec 25 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.9-alt2
- remove *.la files from package

* Mon Nov 10 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Fri Oct 03 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Tue Sep 09 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.7-alt1
- 2.0.7
- spec-file cleanup
- rebuild with hasher

* Wed Jan 29 2003 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt2
- moved *.so to devel package

* Mon Oct 14 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt1
- Build for new version
- Fixed group of package
- Fixed build requires

* Fri Oct 11 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.5-alt1
- Build for new version

* Thu Jul 25 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Build for new version
- Fixed requires section for devel package : added version

* Thu Jun 20 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Initial release

